UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
lbm_event_queue_stats_t_stct Struct Reference

Structure that holds statistics for an event queue. More...

`#include <lbm.h>`

## Data Fields
lbm_ulong_t | data_msgs
| Number of data messages currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled (event_queue) must be activated. (Snapshot)
lbm_ulong_t | data_msgs_tot
| Total accumulated number of data messages that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | data_msgs_svc_min
| Minimum service time for data messages (in microseconds). This is the low-water mark (i.e., the shortest so far) for data message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative) More...
lbm_ulong_t | data_msgs_svc_mean
| Mean service time for data messages (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated data message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | data_msgs_svc_max
| Maximum service time for data messages (in microseconds). This is the high-water mark (i.e., the longest so far) for data message service durations measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | resp_msgs
| Number of response messages (from receiver objects) currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled (event_queue) must be activated. (Snapshot)
lbm_ulong_t | resp_msgs_tot
| Total accumulated number of response messages that have been added to the event queue (even if subsequently de-queued) since last reset. (Cumulative)
lbm_ulong_t | resp_msgs_svc_min
| Minimum service time for response messages (in microseconds). This is the low-water mark (i.e., the shortest so far) for response message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative) More...
lbm_ulong_t | resp_msgs_svc_mean
| Mean service time for response messages (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated response message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | resp_msgs_svc_max
| Maximum service time for response messages (in microseconds). This is the high-water mark (i.e., the longest so far) for response message service durations measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | topicless_im_msgs
| Number of topic-less Multicast Immediate Messaging (MIM) messages currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled (event_queue) must be activated. (Snapshot)
lbm_ulong_t | topicless_im_msgs_tot
| Total accumulated number of topic-less Multicast Immediate Messaging (MIM) messages that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | topicless_im_msgs_svc_min
| Minimum service time for topic-less Multicast Immediate Messaging (MIM) messages (in microseconds). This is the low-water mark (i.e., the shortest so far) for topic-less MIM message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative) More...
lbm_ulong_t | topicless_im_msgs_svc_mean
| Mean service time for topic-less Multicast Immediate Messaging (MIM) messages (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated topic-less MIM message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | topicless_im_msgs_svc_max
| Maximum service time for topic-less Multicast Immediate Messaging (MIM) messages (in microseconds). This is the high-water mark (i.e., the longest so far) for topic-less MIM message service durations measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | wrcv_msgs
| Number of wildcard receiver messages currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled (event_queue) must be activated. (Snapshot)
lbm_ulong_t | wrcv_msgs_tot
| Total accumulated number of wildcard receiver messages that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | wrcv_msgs_svc_min
| Minimum service time for wildcard receiver messages (in microseconds). This is the low-water mark (i.e., the shortest so far) for wildcard receiver message service durations measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative) More...
lbm_ulong_t | wrcv_msgs_svc_mean
| Mean service time for wildcard receiver messages (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated wildcard receiver message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | wrcv_msgs_svc_max
| Maximum service time for wildcard receiver messages (in microseconds). This is the high-water mark (i.e., the longest so far) for wildcard receiver message service durations measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | io_events
| Number of I/O events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled (event_queue) must be activated. (Snapshot)
lbm_ulong_t | io_events_tot
| Total accumulated number of I/O events that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | io_events_svc_min
| Minimum service time for I/O events (in microseconds). This is the low-water mark (i.e., the shortest so far) for I/O event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative) More...
lbm_ulong_t | io_events_svc_mean
| Mean service time for I/O events (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated I/O event service durations, measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | io_events_svc_max
| Maximum service time for I/O events (in microseconds). This is the high-water mark (i.e., the longest so far) for I/O event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | timer_events
| Number of timer events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled (event_queue) must be activated. (Snapshot)
lbm_ulong_t | timer_events_tot
| Total accumulated number of timer events that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | timer_events_svc_min
| Minimum service time for timer events (in microseconds). This is the low-water mark (i.e., the shortest so far) for timer event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative) More...
lbm_ulong_t | timer_events_svc_mean
| Mean service time for timer events (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated timer event service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | timer_events_svc_max
| Maximum service time for timer events (in microseconds). This is the high-water mark (i.e., the longest so far) for timer event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | source_events
| Number of source events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled (event_queue) must be activated. (Snapshot)
lbm_ulong_t | source_events_tot
| Total accumulated number of source events that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | source_events_svc_min
| Minimum service time for source events (in microseconds). This is the low-water mark (i.e., the shortest so far) for source event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative) More...
lbm_ulong_t | source_events_svc_mean
| Mean service time for source events (in microseconds). This is an exponentially weighted moving average (weighted to more recent) for accumulated source event service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | source_events_svc_max
| Maximum service time for source events (in microseconds). This is the high-water mark (i.e., the longest so far) for source event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | unblock_events
| Number of unblock events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled (event_queue) must be activated. (Snapshot)
lbm_ulong_t | unblock_events_tot
| Total accumulated number of unblock events that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | cancel_events
| Number of cancel events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled (event_queue) must be activated. (Snapshot)
lbm_ulong_t | cancel_events_tot
| Total accumulated number of cancel events that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | cancel_events_svc_min
| Minimum service time for cancel events. Cancel events as seen by the event queue do not actually consume service time, so we do not recommend the general use of this counter. (Cumulative) More...
lbm_ulong_t | cancel_events_svc_mean
| Mean service time for cancel events. Cancel events as seen by the event queue do not actually consume service time, so we do not recommend the general use of this counter. (Cumulative)
lbm_ulong_t | cancel_events_svc_max
| Maximum service time for cancel events. Cancel events as seen by the event queue do not actually consume service time, so we do not recommend the general use of this counter. (Cumulative)
lbm_ulong_t | context_source_events
| Number of context source events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled (event_queue) must be activated. (Snapshot)
lbm_ulong_t | context_source_events_tot
| Total accumulated number of context source events that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | context_source_events_svc_min
| Minimum service time for context source events (in microseconds). (Cumulative) More...
lbm_ulong_t | context_source_events_svc_mean
| Mean service time for context source events (in microseconds). (Cumulative) More...
lbm_ulong_t | context_source_events_svc_max
| Maximum service time for context source events (in microseconds). (Cumulative) More...
lbm_ulong_t | events
| Total number of events (including messages) currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled (event_queue) must be activated. (Snapshot)
lbm_ulong_t | events_tot
| Total accumulated number of events (including messages) that have been added to the event queue (even if subsequently de-queued) since last reset. Configuration option queue_count_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | age_min
| Minimum age of event queue entry when dequeued (in microseconds). (Cumulative) More...
lbm_ulong_t | age_mean
| Mean age of event queue entries when dequeued (in microseconds). (Cumulative) More...
lbm_ulong_t | age_max
| Maximum age of event queue entry when dequeued (in microseconds). (Cumulative) More...
lbm_ulong_t | callback_events
| Number of callback events currently in the event queue, i.e., a snapshot. Configuration option queue_count_enabled (event_queue) must be activated. (Snapshot)
lbm_ulong_t | callback_events_tot
| Total accumulated number of callback events that have been added to the event queue even if subsequently de-queued) since last reset. Configuration option queue_count_enabled (event_queue) must be activated. (Cumulative)
lbm_ulong_t | callback_events_svc_min
| Minimum service time for callback events (in microseconds). (Cumulative) More...
lbm_ulong_t | callback_events_svc_mean
| Mean service time for callback events (in microseconds). (Cumulative) More...
lbm_ulong_t | callback_events_svc_max
| Maximum service time for callback events (in microseconds). (Cumulative) More...

## Detailed Description

Structure that holds statistics for an event queue.

This structure holds statistics for messages and other events that enter and exit the event queue. NOTE: Specific count-enable options must sometimes be enabled for these statistics to populate.

Note that when stats are sampled, the fields in the structure are not necessarily from the same instant in time. The structure might be updated concurrently with it being sampled, and while each structure field is atomically read, the field values can be skewed slightly across time.

See lbm_event_queue_stats_t_stct for field definitions.

Cumulative vs Sample

Most UM statistics are cumulative. For example, tr_dgrams_sent starts at zero and grows over time as more and more topic resolution datagrams are sent.

But some statistics are samples, meaning that they represent the value at a moment in time. These values can go up and down. For example, tr_src_topics indicates the number of sources at the time of the sample.

## Field Documentation

lbm_ulong_t lbm_event_queue_stats_t_stct::age_max

Maximum age of event queue entry when dequeued (in microseconds). (Cumulative)

This is the high-water mark for the measured age of any event or message (i.e., the oldest one so far) from the point of enqueuement until de-queuement. Configuration option queue_age_enabled (event_queue) must be activated.

lbm_ulong_t lbm_event_queue_stats_t_stct::age_mean

Mean age of event queue entries when dequeued (in microseconds). (Cumulative)

This is an exponentially weighted moving average (weighted to more recent) for accumulated event or message ages (measured from the point enqueuement until de-queuement). Configuration option queue_age_enabled (event_queue) must be activated.

lbm_ulong_t lbm_event_queue_stats_t_stct::age_min

Minimum age of event queue entry when dequeued (in microseconds). (Cumulative)

This is the low-water mark for the measured age of any event or message (i.e., the shortest one so far) from the point of enqueuement until de-queuement. Configuration option queue_age_enabled (event_queue) must be activated.

This field is initialized to all 1s (-1 if printed signed).

lbm_ulong_t lbm_event_queue_stats_t_stct::callback_events_svc_max

Maximum service time for callback events (in microseconds). (Cumulative)

This is the high-water mark (i.e., the longest so far) for callback event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled (event_queue) must be activated.

lbm_ulong_t lbm_event_queue_stats_t_stct::callback_events_svc_mean

Mean service time for callback events (in microseconds). (Cumulative)

This is an exponentially weighted moving average (weighted to more recent) for accumulated callback event service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled (event_queue) must be activated.

lbm_ulong_t lbm_event_queue_stats_t_stct::callback_events_svc_min

Minimum service time for callback events (in microseconds). (Cumulative)

This is the low-water mark (i.e., the shortest so far) for callback event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled (event_queue) must be activated.

This field is initialized to all 1s (-1 if printed signed).

lbm_ulong_t lbm_event_queue_stats_t_stct::cancel_events_svc_min

Minimum service time for cancel events. Cancel events as seen by the event queue do not actually consume service time, so we do not recommend the general use of this counter. (Cumulative)

This field is initialized to all 1s (-1 if printed signed).

lbm_ulong_t lbm_event_queue_stats_t_stct::context_source_events_svc_max

Maximum service time for context source events (in microseconds). (Cumulative)

This is the high-water mark (i.e., the longest so far) for context source event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled (event_queue) must be activated.

lbm_ulong_t lbm_event_queue_stats_t_stct::context_source_events_svc_mean

Mean service time for context source events (in microseconds). (Cumulative)

This is an exponentially weighted moving average (weighted to more recent) for accumulated context source event service durations, measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled (event_queue) must be activated.

lbm_ulong_t lbm_event_queue_stats_t_stct::context_source_events_svc_min

Minimum service time for context source events (in microseconds). (Cumulative)

This is the low-water mark (i.e., the shortest so far) for context source event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled (event_queue) must be activated.

This field is initialized to all 1s (-1 if printed signed).

lbm_ulong_t lbm_event_queue_stats_t_stct::data_msgs_svc_min

Minimum service time for data messages (in microseconds). This is the low-water mark (i.e., the shortest so far) for data message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)

This field is initialized to all 1s (-1 if printed signed).

lbm_ulong_t lbm_event_queue_stats_t_stct::io_events_svc_min

Minimum service time for I/O events (in microseconds). This is the low-water mark (i.e., the shortest so far) for I/O event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)

This field is initialized to all 1s (-1 if printed signed).

lbm_ulong_t lbm_event_queue_stats_t_stct::resp_msgs_svc_min

Minimum service time for response messages (in microseconds). This is the low-water mark (i.e., the shortest so far) for response message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)

This field is initialized to all 1s (-1 if printed signed).

lbm_ulong_t lbm_event_queue_stats_t_stct::source_events_svc_min

Minimum service time for source events (in microseconds). This is the low-water mark (i.e., the shortest so far) for source event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)

This field is initialized to all 1s (-1 if printed signed).

lbm_ulong_t lbm_event_queue_stats_t_stct::timer_events_svc_min

Minimum service time for timer events (in microseconds). This is the low-water mark (i.e., the shortest so far) for timer event service durations measured from the point of de-queuement until the application has finished servicing the event. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)

This field is initialized to all 1s (-1 if printed signed).

lbm_ulong_t lbm_event_queue_stats_t_stct::topicless_im_msgs_svc_min

Minimum service time for topic-less Multicast Immediate Messaging (MIM) messages (in microseconds). This is the low-water mark (i.e., the shortest so far) for topic-less MIM message service durations, measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)

This field is initialized to all 1s (-1 if printed signed).

lbm_ulong_t lbm_event_queue_stats_t_stct::wrcv_msgs_svc_min

Minimum service time for wildcard receiver messages (in microseconds). This is the low-water mark (i.e., the shortest so far) for wildcard receiver message service durations measured from the point of de-queuement until the application has finished servicing the message. Configuration option queue_service_time_enabled (event_queue) must be activated. (Cumulative)

This field is initialized to all 1s (-1 if printed signed).

The documentation for this struct was generated from the following file:

- lbm.h